%define snapshot 0

%ifarch %{arm}
%define build_docs 0
%else
%define build_docs 1
%endif

%define qtmajor 5
%define qtminor 6
%define qtsubminor 3
%define qtenginio_major 1

%define rel 4
%define pre rc

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}
%define qtenginio_version %{qtenginio_major}.%{qtminor}.%{qtsubminor}

%define libqtenginio %mklibname qtenginio %qtenginio_major
%define libqtenginio_d %mklibname qt5enginio -d
%define libqtenginio_p_d %mklibname qt5enginio-private -d

%if %snapshot
%define qttarballdir qtenginio-opensource-src-%{qtenginio_version}-%pre
%else
%define qttarballdir qtenginio-opensource-src-%{qtenginio_version}
%endif

Name: qtenginio5
Version: %{qtenginio_version}
Release: %mkrel %{rel}
Summary: Qt5 Enginio component
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{qtversion}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel >= %version
BuildRequires: pkgconfig(Qt5Quick) >= %version
#Branch Patchs

#Trunk Patchs

#Patch from Mageia

%description
Client library for accessing Enginio service from Qt and QML code.

%files
%{_qt5_qml}/Enginio

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary: QtEnginio%{qtmajor} APIs and tools docs
Group:   Documentation
BuildArch: noarch
BuildRequires: qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires: qttools5-assistant
Recommends: qttools5-assistant

%description doc
Documentation for APIs and tools in QtEnginio5 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/qtenginio.qch
%{_qt5_docdir}/qtenginio/
%{_qt5_docdir}/qtenginiooverview.qch
%{_qt5_docdir}/qtenginiooverview/
%{_qt5_docdir}/qtenginioqml.qch
%{_qt5_docdir}/qtenginioqml/
%endif

#------------------------------------------------------------------------------

%package -n %{libqtenginio}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries

%description -n %{libqtenginio}
Qt%{qtmajor} Component Library.

%files -n %{libqtenginio}
%{_qt5_libdir}/libEnginio.so.%{qtenginio_major}*

#------------------------------------------------------------------------------

%package -n %{libqtenginio_d}
Summary: Devel files needed to build apps based on QtEnginio
Group:    Development/KDE and Qt
Requires: %{libqtenginio} = %version
Provides: libqtenginio5-devel = %version
Provides: libqt5enginio-devel = %version
Provides: qtenginio5-devel = %version
Provides: qt5enginio-devel = %version

%description -n %{libqtenginio_d}
Devel files needed to build apps based on QtEnginio.

%files -n %{libqtenginio_d}
%{_qt5_libdir}/libEnginio.so
%{_qt5_libdir}/libEnginio.prl
%{_qt5_libdir}/pkgconfig/Enginio.pc
%{_qt5_includedir}/Enginio
%{_qt5_datadir}/mkspecs/modules/qt_lib_enginio.pri
%{_qt5_datadir}/mkspecs/modules/qt_lib_enginio_private.pri
%{_qt5_libdir}/cmake/Qt5Enginio
%{_qt5_examplesdir}/enginio

#------------------------------------------------------------------------------

%prep
%setup -q -n qtenginio-opensource-src-%{qtenginio_version}
%apply_patches

%build
%qmake_qt5
%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

rm -f %{buildroot}%{_qt5_libdir}/libEnginio.la


%changelog
* Tue Nov 27 2018 adrianomorselli <adrianomorselli> 1.6.3-1uplos2018
- imported for uplos
